# $Revision: 1.54 $, $Date: 2010/07/08 08:21:00 $
Summary:	Python interface to OpenSSL
Summary(pl.UTF-8):	Interfejs Pythona do OpenSSL
Name:		python-M2Crypto
Version:	0.20.2
Release:	4
License:	BSD-like
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-%{version}.tar.gz
# Source0-md5:	6c24410410d6eb1920ea43f77a93613a
Patch0:		%{name}-swig_sources.patch
Patch1:		%{name}-store2ssl.patch
Patch2:		%{name}-swig.patch
Patch3:		%{name}-openssl.patch
URL:		http://wiki.osafoundation.org/bin/view/Projects/MeTooCrypto
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python >= 1.3.24
BuildRequires:	unzip
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
M2Crypto makes accessible to the Python programmer the following:
- DH, RSA, DSA, symmetric ciphers, message digests, HMACs.
- SSL functionality to implement clients and servers.
- S/MIME v2.

M2Crypto is released under a very liberal BSD-like licence. See
LICENCE for details.

%description -l pl.UTF-8
M2Crypto udostępnia z poziomu Pythona następujące funkcje:
- DH, RSA, DSA, szyfry symetryczne, skróty, HMAC
- SSL do implementacji klientów i serwerów
- S/MIME v2.

%prep
%setup -q -n M2Crypto-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

find demo -type d -name CVS | xargs rm -rf

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
cp -r demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENCE README doc/*.html
%dir %{py_sitedir}/M2Crypto
%attr(755,root,root) %{py_sitedir}/M2Crypto/*.so
%{py_sitedir}/M2Crypto/*.py[oc]
%dir %{py_sitedir}/M2Crypto/SSL
%{py_sitedir}/M2Crypto/SSL/*.py[oc]
%dir %{py_sitedir}/M2Crypto/PGP
%{py_sitedir}/M2Crypto/PGP/*.py[oc]
%{py_sitedir}/M2Crypto-*.egg-info
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-M2Crypto.spec,v $
Revision 1.54  2010/07/08 08:21:00  arekm
- release 4

Revision 1.53  2010/05/13 15:18:38  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.52  2010/04/11 08:16:38  arekm
- rel 3; fix openssl 1.0.0 build

Revision 1.51  2010/04/11 06:28:49  arekm
- release 2

Revision 1.50  2010/03/11 17:27:00  wiget
- 0.20.2

Revision 1.49  2009/03/14 00:08:02  hawk
- release 2

Revision 1.48  2008/10/14 16:05:54  arekm
- up to 0.19.1

Revision 1.47  2008/10/06 13:41:35  arekm
- up to 0.19

Revision 1.46  2008/10/03 17:53:27  arekm
- release 2

Revision 1.45  2008-06-08 12:45:33  arekm
- up to 0.18.2

Revision 1.44  2007-11-25 20:57:50  qboosh
- added swig patch (fixes build with current swig)

Revision 1.43  2007-10-10 16:30:13  beorn
- Up to 0.18.1
- Demo files moved to examplesdir
- Group: fixed
- Switched to py_postclean macro

Revision 1.42  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.40  2006/12/23 20:31:21  qboosh
- updated to 0.17 release

Revision 1.39  2006/12/06 23:32:52  qboosh
- updated to 0.17beta1
- added store2ssl patch needed by current pyxmpp
- release .2

Revision 1.38  2006/11/18 20:57:42  qboosh
- package .egg-info for python 2.5

Revision 1.37  2006/11/16 20:43:51  qboosh
- unified; TLS in cjc still doesn't work

Revision 1.36  2006/10/05 19:22:47  qboosh
- removed INSTALL from doc (useless in binary package)

Revision 1.35  2006/09/27 20:26:39  wrobell
- rel. 2

Revision 1.34  2006/09/27 20:14:31  wrobell
- merged from DEVEL (ver. 0.16, rel. 1)

Revision 1.33.2.1  2006/08/11 17:09:05  wrobell
- ver. 0.16

Revision 1.33  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.32  2006/02/21 23:42:24  qboosh
- swig >= 1.3.24 creates broken package - fix needed

Revision 1.31  2006/02/21 23:19:15  qboosh
- don't package CVS dirs with demos

Revision 1.30  2006/02/21 23:16:34  qboosh
- missing dir, release 5

Revision 1.29  2005/06/27 00:15:20  saq
- as of 1.3.25, swig subpackages actually contain something useful

Revision 1.28  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.27  2004/12/27 16:38:29  saq
- swig_sources.patch for modern method signature
- release 4

Revision 1.26  2004/12/25 15:42:17  saq
- release 3 for rebuild with python 2.4

Revision 1.25  2004/11/07 17:44:16  zergin
- added missing BR: unzip (by Zbyniu Krzystolik)

Revision 1.24  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.23  2004/03/31 13:22:45  wiget
- added official patch
- release 2

Revision 1.22  2004/03/30 12:41:03  wiget
- updated to 0.13

Revision 1.21  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.20  2003/10/28 07:59:31  wiget
- updated to 0.12

Revision 1.19  2003/10/09 11:51:26  wiget
- URL updated

Revision 1.18  2003/10/08 14:42:00  wiget
- added M2Crypto.SMIME.PKCS7.get0_signers()
- release 2

Revision 1.17  2003/09/30 20:18:32  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.16  2003/09/16 13:59:40  wiget
- added smime_callback.patch (allow overiding standar passphrase prompt, needed for using SMIME in GUI apps)

Revision 1.15  2003/09/12 13:54:04  wiget
- updated to 0.11

Revision 1.14  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.12  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.11  2002/04/13 17:42:04  kloczek
- rebuild against python 2.2.1.

Revision 1.10  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.8  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/11 15:29:17  qboosh
- pl translations, cosmetics; release 2

Revision 1.4  2001/11/12 15:50:34  wrobell
- fixed build requirements and install section
- use standard python macros

Revision 1.3  2001/09/07 07:54:10  mis
- proper Summary
- more BuildReqs

Revision 1.2  2001/09/06 17:43:48  kloczek
- cosmetics.

Revision 1.1  2001/09/05 14:20:04  mis
- new from scratch
